OnlyFans API
FanslyChats

Acknowledge Chat Messages

Acknowledge one or more messages. Type 1 = delivered, 2 = read, 3 = read and delivered, 4 = unread. Up to 25 message IDs may be sent per request.

POST
/api/fansly/{fanslyAccount}/chats/{chat_id}/messages/ack
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

chat_id*string

The Fansly chat (group) ID.

Request Body

application/json

messageIds*array<string>

Fansly message IDs to acknowledge.

type*integer

Ack mode: 1 delivered, 2 read, 3 read and delivered, 4 unread.

Value in1 | 2 | 3 | 4

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/chats/200000000000000001/messages/ack" \  -H "Content-Type: application/json" \  -d '{    "messageIds": [      "300000000000000001"    ],    "type": 2  }'
{
  "data": null,
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 100000,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}